Loading...
Searching...
No Matches
caf::io::connection_handle Class Reference

Generic handle type for identifying connections. More...

`#include <connection_handle.hpp>`

Inheritance diagram for caf::io::connection_handle:

## Public Types

using | super = handle<connection_handle, invalid_connection_handle_t>

## Public Member Functions

constexpr | connection_handle (const invalid_connection_handle_t &)
Public Member Functions inherited from caf::handle< connection_handle, invalid_connection_handle_t >
| handle (const connection_handle &other)
| handle (const handle &other)=default
handle & | operator= (const handle &other)
handle & | operator= (const invalid_connection_handle_t &)
int64_t | id () const
| Returns the unique identifier of this handle.
void | set_id (int64_t value)
| Sets the unique identifier of this handle.
int64_t | compare (const connection_handle &other) const
int64_t | compare (const invalid_connection_handle_t &) const
bool | invalid () const
void | set_invalid ()

## Friends

class | handle< connection_handle, invalid_connection_handle_t >
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, connection_handle &x)

## Additional Inherited Members

Static Public Member Functions inherited from caf::handle< connection_handle, invalid_connection_handle_t >
static connection_handle | from_int (int64_t id)
Protected Member Functions inherited from caf::handle< connection_handle, invalid_connection_handle_t >
| handle (int64_t handle_id)
Protected Attributes inherited from caf::handle< connection_handle, invalid_connection_handle_t >
int64_t | id_

## Detailed Description

Generic handle type for identifying connections.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/connection_handle.hpp